; -*- Scheme -*-

; (skin name color1 color2 texture-file . rest)
;
;    texture-file is optional 
;	#f or unspecified = no texture file
;
;    where `rest' is list of flags:
;	has-mark
;	has-strip
;
	;  solid colors

(define white	(colour 1 1 1))
(define black	(colour 0 0 0))
(define red	(colour 1 0 0))
(define green	(colour 0 1 0))
(define blue	(colour 0 0 1))
(define yellow	(colour 1 1 0))
(define pink	(colour255 255 181 197))
(define orange	(colour255 255 165 0))
(define purple	(colour255 125 38 205))
(define brown	(colour255 165 42 42))


(skin 'default-ball-skin
	; white
      white
	; black
      black)

(skin 'default-cue-skin
        ; colour of wood
      (colour255 255 165 79)
        ; colour of top
      (colour 0.32 0.66 0.88)
        ; no texture
      #f
        ; cap length
      (cm 1))

(skin 'default-table-skin
        ; SeaGreen
      (colour255 46 139 87))

(skin 'default-pocket-skin
      (colour 0.6 0.6 0.6)
      (colour .2 .2 0.2))

(skin 'default-table-outline-skin
      (colour255 89 44 12))

(skin 'default-mark-skin
      (colour255 220 220 220))

(skin 'default-diamond-skin
      (colour 1 1 1))

	; solid balls 	      
(skin 'white-ball white)
(skin 'black-ball black)

(skin 'blue-ball blue)
(skin 'red-ball red)
(skin 'pink-ball pink)
(skin 'orange-ball orange)
(skin 'yellow-ball yellow)
(skin 'purple-ball purple)
(skin 'green-ball green)
(skin 'brown-ball brown)

	; balls with strip

(skin 'white-ball-blue-strip	white blue   #f .5 'has-strip)
(skin 'white-ball-red-strip	white red    #f .5 'has-strip)
(skin 'white-ball-orange-strip	white orange #f .5 'has-strip)
(skin 'white-ball-yellow-strip	white yellow #f .5 'has-strip)
(skin 'white-ball-purple-strip	white purple #f .5 'has-strip)
(skin 'white-ball-green-strip	white green  #f .5 'has-strip)
(skin 'white-ball-brown-strip	white brown  #f .5 'has-strip)

	; balls for carom billiard

(skin 'white-ball-with-black-mark 
	; colour of ball
      white
        ; colour of mark
      black
        ; no texture
      #f 
        ; diameter of point
      (mm 5)
        ; flags
      'has-mark)
